--[[ Upgrade control settings file
for Upgrade Control v1.0

This file's main purpose is to enable or disable certain upgrades of buildings
that are available in CS2D. The default configuration allows all upgrades, therefore
this script does in default configuration (besides wasting CPU time) nothing.
]]

------ UPGRADES CONTROL ------
--[[ Here you can control which upgrades should be allowed and which should be
forbidden. To allow a building, simply write "true" after the equals sign, to
disallow a building, write "false". 
Note: The number in the square brackets is the objecttype ID of the building 
to be upgraded (for instance, if it is about the upgrade from Suppy to 
Super Supply, it has the number 9 because the Supply has the objecttype ID 9).
]]

-- upgrade from Barricade to Wall I
upgradecontrol.upgrades[1] =  true

-- upgrade from Wall I to Wall II
upgradecontrol.upgrades[3] =  true

-- upgrade from Wall II to Wall III
upgradecontrol.upgrades[4] =  true

-- upgrade from Supply to Super Supply
upgradecontrol.upgrades[9] =  true

-- upgrade from Turret to Dual Turret
upgradecontrol.upgrades[8] =  true

-- upgrade from Dual Turret to Triple Turret
upgradecontrol.upgrades[11] = true


------ OTHER SETTINGS -----
-- Message --
--[[ control wheather a message should be shown if a player attempts to upgrade
a building which has been forbidden to upgrade. Write "true" after the equals
sign]]
upgradecontrol.settings.message = false

-- Message text --
--[[ Set the message text of this warning message. Please note that the text
will be shown always in red color in center screen to the trying player. ]]
upgradecontrol.settings.messagetext = "The upgrade for this building is forbidden!"

